singleton Material(diablosv_paint)
{
    mapTo = "diablosv_paint";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    specular[0] = "0 0 0 1";
    specularPower[1] = "80";
    translucent = "0";
    diffuseColor[2] = "1 1 1 1";
    diffuseMap[0] = "vehicles/diablosv/Textures/chassis.png";
    diffuseMap[1] = "vehicles/diablosv/Textures/chassis.png";
    diffuseMap[2] = "vehicles/diablosv/Textures/chassis.png";
    specularMap[0] = "vehicles/diablosv/Textures/1.png";
    specularMap[1] = "vehicles/diablosv/Textures/1.png";
    specularMap[2] = "vehicles/diablosv/Textures/1.png";
    //specularMap[2] = "vehicles/diablosv/Textures/1.png";
    //normalMap[0] = "vehicles/diablosv/Textures/NormalMap.png";
    //normalMap[1] = "vehicles/diablosv/Textures/NormalMap.png";
    materialTag0 = "Miscellaneous";
    useAnisotropic[1] = "1";
    roughnessFactor = "1";
    clearcoatFactor = "1";
    metallicFactor = "1";
    version = "1.5";
    instanceDiffuse = "true";
    alphaRef = "255";
    alphaTest = "0";
    doubleSided = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "1";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    instanceDiffuse[2] = true;
    materialTag0 = "DarK"; materialTag1 = "vehicle";
};

singleton Material(diablosv_glass)
{
    mapTo = "diablosv_glass";
    reflectivityMap[0] = "vehicles/diablosv/Textures/glass_base.png";
    diffuseMap[0] = "vehicles/diablosv/Textures/glass_base_2.png";
    opacityMap[0] = "vehicles/diablosv/Textures/glass_base.png";
    diffuseMap[1] = "vehicles/diablosv/Textures/glass_base_2.png";
    specularMap[0] = "vehicles/common/null.png";
    normalMap[0] = "vehicles/common/null_n.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "0.151 0.151 0.151 1";
    diffuseColor[1] = "0.151 0.151 0.151 1";
    roughnessFactor = "0.445";
    opacityFactor = "0.619";
    metallicFactor = "0.495";
    version = "1.5";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "DarK"; materialTag1 = "vehicle";
};

singleton Material(diablosv_exterior_ext)
{
   mapTo = "diablosv_exterior_ext";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";   
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/diablosv/Textures/1995_lamborghini_diablo_sv_ext_red.png";
   diffuseMap[1] = "vehicles/diablosv/Textures/1995_lamborghini_diablo_sv_ext_red.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(diablosv_exterior_misc)
{
   mapTo = "diablosv_exterior_misc";
   diffuseColor[0] = "0 0 0 1";
   specular[0] = "0.25 0.25 0.25 1";
    roughnessFactor = "0.619";
    metallicFactor = "0.372";
    version = "1.5";
   specularPower[0] = "3";
   doubleSided = "1";   
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/diablosv/Textures/1995_lamborghini_diablo_sv_misc.png";
   diffuseMap[1] = "vehicles/diablosv/Textures/1995_lamborghini_diablo_sv_misc.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(diablosv_badges)
{
   mapTo = "diablosv_badges";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";   
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/diablosv/Textures/1995_lamborghini_diablo_sv_badges.png";
   diffuseMap[1] = "vehicles/diablosv/Textures/1995_lamborghini_diablo_sv_badges.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(diablosv_wheels)
{
   mapTo = "diablosv_wheels";
   diffuseColor[0] = "1 1 1 1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";   
    roughnessFactor = "0.431";
    clearcoatFactor = "1";
    metallicFactor = "0.789";
    version = "1.5";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/diablosv/Textures/1995_lamborghini_diablo_sv_wheel.png";
   diffuseMap[1] = "vehicles/diablosv/Textures/1995_lamborghini_diablo_sv_wheel.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(diablosv_grey)
{
   mapTo = "diablosv_grey";
   diffuseColor[0] = "0.487 0.487 0.487 1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
    roughnessFactor = "0.326";
    clearcoatFactor = "1";
    metallicFactor = "0.683";
    version = "1.5";
   doubleSided = "1";   
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/diablosv/Textures/grey.png";
   diffuseMap[1] = "vehicles/diablosv/Textures/grey.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(diablosv_exterior_chassis)
{
   mapTo = "diablosv_exterior_chassis";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";   
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/diablosv/Textures/black.png";
   diffuseMap[1] = "vehicles/diablosv/Textures/black.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(diablosv_interior_int)
{
   mapTo = "diablosv_interior_int";
   diffuseColor[0] = "0.650 0.650 0.650 1";
   diffuseColor[1] = "0.650 0.650 0.650 1";
   specular[0] = "0.25 0.25 0.25 1";
    roughnessFactor = "0.564";
    metallicFactor = "0.578";
    version = "1.5";
   specularPower[0] = "3";
   doubleSided = "1";   
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/diablosv/Textures/diablosv_gauges.png";
   diffuseMap[1] = "vehicles/diablosv/Textures/diablosv_gauges.png";
   materialTag0 = "Miscellaneous";
};

singleton Material()
{
   mapTo = "";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";   
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/diablosv/Textures/.png";
   diffuseMap[1] = "vehicles/diablosv/Textures/.png";
   materialTag0 = "Miscellaneous";
};

singleton Material()
{
   mapTo = "";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";   
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/diablosv/Textures/.png";
   diffuseMap[1] = "vehicles/diablosv/Textures/.png";
   materialTag0 = "Miscellaneous";
};

singleton Material()
{
   mapTo = "";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";   
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/diablosv/Textures/.png";
   diffuseMap[1] = "vehicles/diablosv/Textures/.png";
   materialTag0 = "Miscellaneous";
};

singleton Material()
{
   mapTo = "";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";   
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/diablosv/Textures/.png";
   diffuseMap[1] = "vehicles/diablosv/Textures/.png";
   materialTag0 = "Miscellaneous";
};

singleton Material()
{
   mapTo = "";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";   
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/diablosv/Textures/.png";
   diffuseMap[1] = "vehicles/diablosv/Textures/.png";
   materialTag0 = "Miscellaneous";
};

singleton Material()
{
   mapTo = "";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";   
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/diablosv/Textures/.png";
   diffuseMap[1] = "vehicles/diablosv/Textures/.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(diablosv_interior_sw)
{
   mapTo = "diablosv_interior_sw";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";   
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/diablosv/Textures/1995_lamborghini_diablo_sv_sw.png";
   diffuseMap[1] = "vehicles/diablosv/Textures/1995_lamborghini_diablo_sv_sw.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(diablosv_lights)
{
   mapTo = "diablosv_lights";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";   
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/diablosv/Textures/diablosv_lights.png";
   diffuseMap[1] = "vehicles/diablosv/Textures/diablosv_lights.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(diablosv_lights_on)
{
    mapTo = "diablosv_lights_on";
    diffuseMap[1] = "vehicles/diablosv/Textures/diablosv_lights.png";
    specularMap[1] = "vehicles/common/null.png";
    normalMap[1] = "vehicles/common/null_n.png";
    diffuseMap[0] = "vehicles/common/null.png";
    specularMap[0] = "vehicles/common/null.png";
    normalMap[0] = "vehicles/common/null_n.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.7";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    glow[1] = "1";
    emissive[1] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(diablosv_lights_on_intense)
{
    mapTo = "diablosv_lights_on_intense";
    diffuseMap[1] = "vehicles/diablosv/Textures/diablosv_lights.png";
    specularMap[1] = "vehicles/common/null.png";
    normalMap[1] = "vehicles/common/null_n.png";
    diffuseMap[0] = "vehicles/common/null.png";
    specularMap[0] = "vehicles/common/null.png";
    normalMap[0] = "vehicles/common/null_n.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 0.7";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    glow[1] = "1";
    emissive[1] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(diablosv_gauges)
{
	mapTo = "diablosv_gauges";
	diffuseColor[0] = "1 1 1 0.1";
	diffuseMap[0] = "vehicles/diablosv/Textures/diablosv_gauges.png";
	specularMap[0] = "vehicles/common/null.png";
	normalMap[0] = "vehicles/common/null_n.png";
	diffuseMap[1] = "vehicles/diablosv/Textures/diablosv_gauges.png";
	specularMap[1] = "vehicles/common/null.png";
	normalMap[1] = "vehicles/common/null_n.png";
    specularPower[0] = "3";
    pixelSpecular[0] = "1";
    emissive[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    alphaTest = "0";
    alphaRef = "0";
   doubleSided = "1";
   invertBackFaceNormals = "1";
    dynamicCubemap = false;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(diablosv_gauges_on)
{
	mapTo = "diablosv_gauges_on";
	diffuseColor[0] = "1 1 1 0.1";
	diffuseMap[0] = "vehicles/diablosv/Textures/diablosv_gauges.png";
	specularMap[0] = "vehicles/common/null.png";
	normalMap[0] = "vehicles/common/null_n.png";
    specularPower[0] = "3";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    alphaTest = "0";
    alphaRef = "0";
   doubleSided = "1";
   invertBackFaceNormals = "1";
    dynamicCubemap = false;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
	emissive[0] = "1";
	glow = "1";
};

singleton Material(sbr_glass_dmg)
{
    mapTo = "sbr_glass_dmg";
    diffuseMap[0] = "vehicles/sbr/sbr_glass_dmg_d.dds";
    opacityMap[0] = "vehicles/sbr/sbr_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/glass_dmg_n.dds";
    diffuseMap[1] = "vehicles/sbr/sbr_glass_dmg_d.dds";
    specularMap[1] = "vehicles/common/glass_dmg_s.dds";
    normalMap[1] = "vehicles/common/glass_dmg_n.dds";
    specularPower[0] = "128";
    specularPower[1] = "128";
    diffuseColor[0] = "0.151 0.151 0.151 1";
    diffuseColor[1] = "0.151 0.151 0.151 1";
    roughnessFactor = "0.445";
    opacityFactor = "0.619";
    metallicFactor = "0.495";
    version = "1.5";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(sbr_windshield_dmg)
{
    mapTo = "sbr_windshield_dmg";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/sbr/sbr_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/windshield_dmg_n.dds";
    specularPower[0] = "32";
    diffuseColor[0] = "0.151 0.151 0.151 1";
    diffuseColor[1] = "0.151 0.151 0.151 1";
    roughnessFactor = "0.445";
    opacityFactor = "0.619";
    metallicFactor = "0.495";
    version = "1.5";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(sbr_lights_dmg)
{
    mapTo = "sbr_lights_dmg";
    diffuseMap[1] = "vehicles/sbr/sbr_lights_dmg_d.dds";
    specularMap[1] = "vehicles/sbr/sbr_lights_dmg_s.dds";
    normalMap[1] = "vehicles/sbr/sbr_lights_dmg_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/sbr/sbr_lights_dmg_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(diablosv_reverselight)
{
    mapTo = "diablosv_reverselight";
};

singleton Material(diablosv_brakelight)
{
    mapTo = "diablosv_brakelight";
};

singleton Material(diablosv_signal_L)
{
    mapTo = "diablosv_signal_L";
};

singleton Material(diablosv_signal_R)
{
    mapTo = "diablosv_signal_R";
};

singleton Material(diablosv_parkinglight)
{
    mapTo = "diablosv_parkinglight";
};